
//a Link object connects two nodes

class Link {
   Node node1;
   Node node2;
   int messages;
   double len = window_height / 4;
   
   //constructor
   Link(Node one, Node two) {
      node1 = one;
      node2 = two;
      messages = 0;
      graph.add(this);
   }
   
   //draws the line between node1 and node2
   void drawMe() {
      //determine link color
      int redval = messages * 5;
      if (redval > 255) { redval = 255; }
      color linkcolor = color(redval, 0, 0);
      if(redval == 0) {
        if(graph.selectedNode == node1 || graph.selectedNode == node2 ) { linkcolor = black; }
        else { linkcolor = gray; } 
      }
      
      //draw the link
      strokeJoin(ROUND); strokeCap(ROUND); smooth();
      stroke(linkcolor);  strokeWeight(1);  
      beginShape(LINE_STRIP);  vertex(node1.x, node1.y); vertex(node2.x, node2.y);  endShape();
   }
} //end Link class
