#!/bin/bash

(
    mkdir build; 
    cd build; 
    rm -rf odin-0.1 odin-0.1.tgz;
    wget 'ftp://ftp.cc.gatech.edu/pub/groups/odin/odin-0.1.tgz'
)


(
    cd odin_input_files/sim;
    rm realcontentmap.dat realcontentmap.dat.gz tracefile3.dat;
    wget 'ftp://ftp.cc.gatech.edu/pub/groups/odin/realcontentmap.dat.gz';
    gunzip realcontentmap.dat.gz;
)

{
    cd odin_input_files/peer;
    rm -rf odinpeerindexes odinpeerindexes.tgz;
    wget 'ftp://ftp.cc.gatech.edu/pub/groups/odin/odinpeerindexes.tgz';
    tar zxf odinpeerindexes.tgz;
}
