#!/usr/bin/perl -w
use strict;

open(ALLOWED, (shift @ARGV)) || die "argh";

my %allowed;
while (<ALLOWED>)
{
    chomp;
    s/\s+//;
    $allowed{$_} = 1;
}

close(ALLOWED) || die "argh";

while (<>) 
{
    if (/^\s*#/)
    {
        print;
    }
    elsif (/^\d+\.\s+\w+\s+$/)
    {
        print;
    }
    elsif (/^\d+\.\s+\w+\s+(\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}:\d+)/) {
        if (exists $allowed{$1})
        {
            print;
        }
    }
    else {
        die "argh!"
    }
}
