
//a Link object connects two nodes

class Link {
   Node node1;
   Node node2;
   int messages;
   int connectionType;
   
   //constructor
   Link(Node one, Node two, int connectType) {
      node1 = one;
      node2 = two;
      messages = 0;
      connectionType = connectType;
      graph.add(this);
   }
   
   //draws the line between node1 and node2
   void drawMe() {
     
     if(node1.active && node2.active) {
      
      color linkcolor = black;
      
      if(connectionType == 1000) {linkcolor = green;} //searchconnections
      
      if(connectionType == 1000 && ((node1.parent == node2 || node2.parent == node1) || graph.showAllConnections)) { //only show BFS tree links
        //draw the link
        strokeJoin(ROUND); strokeCap(ROUND); smooth();
        stroke(linkcolor);  strokeWeight(1);  
        beginShape(LINE_STRIP);  vertex(node1.x, node1.y); vertex(node2.x, node2.y);  endShape();
      
      //show label
      /*int xlabel = node2.x - (node2.x - node1.x) / 2;
      int ylabel = node2.y - (node2.y - node1.y) / 2;
      
      fill(black);
      text(connectionType, xlabel, ylabel);*/
      }
     }
   }
} //end Link class
